View Issue Details

IDProjectCategoryView StatusLast Update
0015085LazarusLCLpublic2011-12-01 11:23
ReporterJulianAssigned ToPaul Ishenin 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.28.2Product Build 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0015085: Issue with drawing box round TRadioGroup and TCheckGroup
DescriptionWhen a TRadioGroup or a TCheckGroup is placed inside a TGroupBox which is on a TTabSheet, the radio group / checkgroup border is drawn through the caption instead of stopping either side of it.

This is the rounded Windows XP style box so possibly this only occurs when run on Windows XP.
Additional InformationThis problem has only been observed after compiling with 0.9.28.
TagsNo tags attached.
Fixed in Revision25052
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0015106 closedPaul Ishenin TGroupBox heirarchy inside TPageControl/TTabSheet 

Activities

2009-11-14 18:32

 

example.gif (9,882 bytes)
example.gif (9,882 bytes)

Tristan Linnell

2010-02-01 18:01

reporter   ~0034135

This still occurs, as of today's snapshot.

Tristan Linnell

2010-02-02 13:33

reporter   ~0034159

It also occurs on Windows Vista and Windows 7.

Shaun Simpson

2010-04-28 11:58

reporter   ~0037061

This bug also occurs in version 0.9.29 SVN 25020

Paul Ishenin

2010-04-29 03:26

manager   ~0037079

Please test and close if ok.

Tristan Linnell

2010-04-29 11:31

reporter   ~0037093

This happens for me also using 0.9.29 SVN 25020

Tristan Linnell

2010-04-30 11:37

reporter   ~0037115

This is now fine for me using the latest SVN. Thanks.
Tristan

Issue History

Date Modified Username Field Change
2009-11-14 18:32 Julian New Issue
2009-11-14 18:32 Julian File Added: example.gif
2009-11-14 18:32 Julian Widgetset => Win32/Win64
2009-11-19 11:02 Vincent Snijders LazTarget => 1.0
2009-11-19 11:02 Vincent Snijders Status new => acknowledged
2009-11-19 11:02 Vincent Snijders Target Version => 1.0.0
2010-02-01 18:01 Tristan Linnell Note Added: 0034135
2010-02-02 13:33 Tristan Linnell Note Added: 0034159
2010-04-28 11:58 Shaun Simpson Note Added: 0037061
2010-04-28 22:19 Maxim Ganetsky Relationship added related to 0015106
2010-04-29 03:26 Paul Ishenin Fixed in Revision => 25052
2010-04-29 03:26 Paul Ishenin Status acknowledged => resolved
2010-04-29 03:26 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-04-29 03:26 Paul Ishenin Resolution open => fixed
2010-04-29 03:26 Paul Ishenin Assigned To => Paul Ishenin
2010-04-29 03:26 Paul Ishenin Note Added: 0037079
2010-04-29 11:31 Tristan Linnell Note Added: 0037093
2010-04-30 11:37 Tristan Linnell Note Added: 0037115
2011-12-01 11:23 Marc Weustink Status resolved => closed